Zum Inhalt springen
DeutschlandGPT

Get Custom GPT

Returns a Custom GPT with its files. Subject to API key Custom GPT permissions.

GEThttps://api.deutschlandgpt.de/v2/custom-gpts/{id}

Example request

curl https://api.deutschlandgpt.de/v2/custom-gpts/{id} \
  -X GET \
  -H "Authorization: Bearer $DGPT_API_KEY"

Parameters

idstring<uuid>required

Custom GPT ID

Response

200application/json
{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "description": "string",
  "instructions": "string",
  "conversationStarters": "string",
  "metadata": {
    "files": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "webBrowsing": {
      "enabled": true
    },
    "imageGeneration": {
      "enabled": true
    },
    "codeInterpreter": {
      "enabled": true
    }
  },
  "accessLevel": "string",
  "promptSuggestions": [
    "string"
  ],
  "modelId": "00000000-0000-0000-0000-000000000000",
  "createdAt": "2025-01-01T00:00:00Z",
  "files": [
    {
      "id": "string",
      "name": "string",
      "type": "string",
      "createdAt": "2025-01-01T00:00:00Z"
    }
  ]
}

Custom GPT with files

idstring<uuid>
namestring
descriptionstring | null
instructionsstring | null
conversationStartersstring | null
metadataCustomGptMetadata
filesobject[]
idstring
namestring
webBrowsingobject
enabledboolean
imageGenerationobject
enabledboolean
codeInterpreterobject
enabledboolean
accessLevelstring
promptSuggestionsstring[]
modelIdstring<uuid> | null
createdAtstring<date-time>
filesobject[]
idstring
namestring
typestring
createdAtstring<date-time>

Response codes

200

Custom GPT with files

CustomGptDetail
401

Unauthorized

404

Custom GPT not found or access denied

Was this page helpful?